# We need to use Sid to get py3.11 and a new enough SQLite3 for 'RETURNING' syntax
FROM debian:sid
    MAINTAINER Reid 'arrdem' McKenzie <me@arrdem.com>

RUN apt-get update && apt-get install -y python3 sqlite3

RUN useradd -d /app app
RUN mkdir -p /app /data
RUN chown -R app:app /app /data
USER app
WORKDIR /app
VOLUME /data
ENV DOCKER_RUNNING=true

ENV PYTHONPATH="/app:${PYTHONPATH}"
ENV PYTHONUNBUFFERED=true
ENV PATH="/app/.local/bin:${PATH}"

### App specific crap
# Deps vary least so do them first
# RUN pip3 install --user install aiohttp aiohttp_basicauth async_lru cachetools click pycryptodome pyyaml retry

COPY --chown=app:app tentacles.zapp /app/app

EXPOSE 8080
CMD ["/app/app"]
